part of 'email_verification_bloc.dart';

@immutable
sealed class EmailVerificationEvent {
  const EmailVerificationEvent();
}

class SetVerifiedData extends EmailVerificationEvent {
  const SetVerifiedData({required this.verifiedEmail, required this.userPhone});

  final String verifiedEmail;
  final String userPhone;
}

class SendVerificationEmail extends EmailVerificationEvent {
  const SendVerificationEmail();
}

class CheckEmailStatus extends EmailVerificationEvent {
  const CheckEmailStatus();
}

class ResendVerificationEmail extends EmailVerificationEvent {
  const ResendVerificationEmail();
}

class IncomingVerificationLink extends EmailVerificationEvent {
  const IncomingVerificationLink({required this.verificationLink});

  final Uri verificationLink;
}
